modelpath = "yolo.h5"

from imageai import Detection
yolo = Detection.ObjectDetection()
yolo.setModelTypeAsYOLOv3() 
yolo.setModelPath(modelpath)
yolo.loadModel(detection_speed="flash")

import cv2
cam = cv2.VideoCapture("rtsp://192.168.1.171:8554/unicast") #0=front-cam, 1=back-cam
cam.set(cv2.CAP_PROP_FRAME_WIDTH, 1500)
cam.set(cv2.CAP_PROP_FRAME_HEIGHT, 1300)

while True:    ## read frames
    ret, img = cam.read()    ## predict yolo
    img, preds = yolo.detectCustomObjectsFromImage(input_image=img, 
                      custom_objects=None, input_type="array",
                      output_type="array",
                      minimum_percentage_probability=20,
                      display_percentage_probability=True,
                      display_object_name=True)    ## display predictions
    cv2.imshow("", img)    ## press q or Esc to quit    
    if (cv2.waitKey(1) & 0xFF == ord("q")) or (cv2.waitKey(1)==27):
        break## close camera
cam.release()
cv2.destroyAllWindows()
