import cv2
import imutils
index  = -1

cap = cv2.VideoCapture("rtsp://192.168.1.172:8554/unicast")
import pytesseract


def controller(img, brightness=255, contrast=127):
    brightness = int((brightness - 0) * (255 - (-255)) / (510 - 0) + (-255))
    contrast = int((contrast - 0) * (127 - (-127)) / (254 - 0) + (-127))
    if brightness != 0:
        if brightness > 0:
            shadow = brightness
            max = 255
        else:
            shadow = 0
            max = 255 + brightness
        al_pha = (max - shadow) / 255
        ga_mma = shadow
        # The function addWeighted
        # calculates the weighted sum
        # of two arrays
        cal = cv2.addWeighted(img, al_pha,
                              img, 0, ga_mma)
    else:
        cal = img
    if contrast != 0:
        Alpha = float(131 * (contrast + 127)) / (127 * (131 - contrast))
        Gamma = 127 * (1 - Alpha)
        # The function addWeighted calculates
        # the weighted sum of two arrays
        cal = cv2.addWeighted(cal, Alpha,
                              cal, 0, Gamma)
    # putText renders the specified
    # text string in the image.
    cv2.putText(cal, 'B:{},C:{}'.format(brightness,
                                        contrast),
                (10, 30), cv2.FONT_HERSHEY_SIMPLEX,
                1, (0, 0, 255), 2)
    return cal

# Check if the webcam is opened correctly
if not cap.isOpened():
    raise IOError("Cannot open webcam")

while True:
    ret, frame = cap.read()
    contrast = 1.5
    brightness = 0
    frame = cv2.cvtColor(frame,cv2.COLOR_BGR2GRAY)
    frame = cv2.rotate(frame,cv2.ROTATE_180)
   # frame = frame*4
#    frame = 127+(((frame-127)/127)*5000)
    frame = cv2.bitwise_not(frame)
    frame = controller(frame,180,200)
#    frame = frame*4
   # frame = (frame) * (contrast/127 + 1) - contrast + brightness
#    frame = cv2.addWeighted( frame, contrast, frame, 0, brightness)
#
# frame = cv2.resize(frame, None, fx=1, fy=1, interpolation=cv2.INTER_AREA)
    cv2.imshow('Input', frame)
#    t = pytesseract.image_to_string(frame)
    c = cv2.waitKey(1)
    if c == 27:
        break
    elif c == 49:
        print("sack")
        text =  pytesseract.image_to_string(frame, config='--psm 12')
        print(text)
cap.release()
cv2.destroyAllWindows()


